### Function

# EBookContacts BookQuery from_string

#### Declaration [src]

    EBookQuery*
    e_book_query_from_string (
      const gchar* query_string
    )

#### Description [src]

Parse `query_string` and return a new `EBookQuery` representing it.

#### Parameters

`query_string`

  Type: `const gchar*`

  The query.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EBookQuery`

The new `EBookQuery`.

The caller of the function takes ownership of the data, and is responsible for freeing it.